/// <reference types="node" />
import * as childProcess from 'child_process';
export declare function setReadOnly(target: object, key: string, v: any, deep?: boolean): object;
export declare type PromiseResult<T> = Promise<[null, T] | [Error, null]>;
export declare function promiseWrapper<T>(p: Promise<T>): PromiseResult<T>;
export declare const isWindows: boolean;
export declare const isMac: boolean;
export declare const isLinux: boolean;
export declare function compressingZip(entryList: string[], distPath: string, opts?: {}): Promise<unknown>;
export interface IPackageJson {
    name: string;
    version: string;
    title?: string;
    desc?: string;
    dependencies: {
        [name: string]: string;
    };
    repository: {
        type: string;
        url: string;
    };
}
export declare function getPackageJson(cwd: string): Promise<IPackageJson>;
export declare function remove(dir: string): Promise<void>;
export declare function handlePathEscape(path: string): string;
export declare function isWinPlatform(): boolean;
export declare function spawnPro(command: string, args?: ReadonlyArray<string>, options?: childProcess.SpawnOptions): Promise<unknown>;
export declare function getValidNodeModulesPath(): string;
export declare function getMd5(string: string, len?: number): string;
export declare function getIPAdress(): string | undefined;
export declare function processPkgUrlCals2WeappData(cals: any): any;
//# sourceMappingURL=common.d.ts.map