"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPublishAppId = exports.biggerThanVersion = exports.checkVersion = exports.INIT_VERSION = void 0;
const appbuild_1 = require("../types/appbuild");
exports.INIT_VERSION = '0.0.0';
const checkVersion = (value) => {
    return /^\d+\.\d+(\.\d+){0,2}$/.test(value);
};
exports.checkVersion = checkVersion;
const biggerThanVersion = (value = '', lastVersion = '') => {
    const nowVersions = value
        .split('.')
        .map((item) => (Number.isNaN(parseInt(item)) ? 0 : parseInt(item)));
    const lastVersions = lastVersion
        .split('.')
        .map((item) => (Number.isNaN(parseInt(item)) ? 0 : parseInt(item)));
    const maxLen = nowVersions.length > lastVersion.length
        ? nowVersions.length
        : lastVersion.length;
    for (let i = 0; i < maxLen; i++) {
        const now = nowVersions[i] || 0;
        const last = lastVersions[i] || 0;
        if (now > last) {
            return true;
        }
        else if (now < last) {
            return false;
        }
    }
    return false;
};
exports.biggerThanVersion = biggerThanVersion;
const getPublishAppId = (codingPublishType, outputs) => {
    return codingPublishType === appbuild_1.CodingPublishType.Android
        ? outputs.appid
        : codingPublishType === appbuild_1.CodingPublishType.iOS
            ? outputs.iOSappId
            : 'main';
};
exports.getPublishAppId = getPublishAppId;
